2019-06-24 23:30 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002165NetSurfBeOS-specificpublic2016-02-16 15:23
ReporterAugustin Cavalier 
Assigned ToFran├žois Revol 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformOSHaikuOS Versionhrev47449
Product Version3.2 
Target VersionFixed in Version3.4 
Summary0002165: Comboboxes do not work
DescriptionOn NetSurf for Haiku, comboboxes do not work at all -- you can see the text that is selected, but clicking on them to change the value has no effect.
Steps To Reproduce1. Go to a page that has comboboxes ("select" boxes") -- e.g. http://cgit.haiku-os.org/haiku/ has one in the upper-right corner.
2. Click on the box.
3. No dropdown appears!
TagsNo tags attached.
Fixed in CI build #2991
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
PulkoMandy

~0000924

PulkoMandy (reporter)

Patch to use the cross-platform code until we implement a native version: http://pulkomandy.tk/drop/NetSurf/0004-BeOS-Haiku-use-cross-platform-select-code.patch
Vincent Sanders

~0000955

Vincent Sanders (administrator)

Applied patch from PulkoMandy
Vincent Sanders

~0001291

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-07-03 15:40 Augustin Cavalier New Issue
2014-07-03 15:49 Vincent Sanders Status new => acknowledged
2014-07-03 15:54 Vincent Sanders Assigned To => Fran├žois Revol
2014-07-03 15:54 Vincent Sanders Product Version => 3.2
2015-08-18 07:51 PulkoMandy Note Added: 0000924
2015-10-12 21:52 Vincent Sanders Fixed in CI build # => 2991
2015-10-12 21:52 Vincent Sanders Note Added: 0000955
2015-10-12 21:52 Vincent Sanders Status acknowledged => resolved
2015-10-12 21:52 Vincent Sanders Resolution open => fixed
2015-10-12 21:52 Vincent Sanders Fixed in Version => 3.4
2016-02-16 15:23 Vincent Sanders Note Added: 0001291
2016-02-16 15:23 Vincent Sanders Status resolved => closed
+Issue History